CKSUM(1)

NAVN
cksum - compute and verify file checksums

OVERSIKT
cksum [VALG]... [FIL]...

BESKRIVELSE

Print or verify checksums. By default use the 32 bit CRC algorithm.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --algorithm=TYPE
    select the digest type to use. See DIGEST below.

--base64
    emit base64-encoded digests, not hexadecimal

-c, --check
    Les kontrollsummer fra FILEne, og kontroller dem.

-l, --length=BIT
    Sumlengde i bit. Dette skal ikke overskride makslengde for blake2-algoritmen, og må kunne deles på 8.

--raw
    emit a raw binary digest, not hexadecimal

--tag
    Lag en kontrollsum i BSD-stil (standard).

--untagged
    create a reversed style checksum, without digest type

-z, --zero
    Avslutt hver linje med NUL i stedet for ny linje og slå av skiftetegn for filnavn.

  Følgende fem valg er bare nyttige ved sjekk av kontrollsummer:

--ignore-missing
    Ikke avslutt eller gi feilkode ved manglende fil.

--quiet
    Ikke skriv ut OK for hver fil som blir kontrollert.

--status
    Ikke skriv ut noen ting (bruk statuskoder i stedet).

--strict
    Avslutt med feilkode ved feilformaterte sjekksumlinjer.

-w, --warn
    Advar mot feilformaterte kontrollsumlinjer.

--debug
    indicate which implementation used

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

  DIGEST determines the digest algorithm and default output format:

sysv
    (tilsvarer sum -s)

bsd (tilsvarer sum -r)

crc (tilsvarer cksum)

md5 (tilsvarer md5sum)

sha1
    (tilsvarer sha1sum)

sha224
    (tilsvarer sha224sum)

sha256
    (tilsvarer sha256sum)

sha384
    (tilsvarer sha384sum)

sha512
    (tilsvarer sha512sum)

blake2b
    (tilsvarer b2sum)

sm3 (only available through cksum)

When checking, the input should be a former output of this program, or equivalent standalone program.

OPPHAVSMANN
Skrevet av Padraig Brady og Q. Frank Xia.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2023 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/cksum>
eller lokalt: info '(coreutils) cksum invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.